Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JakartaCommentGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.JakartaCommentGenerator

All Implemented Interfaces:
  CommentGenerator

public class JakartaCommentGenerator
extends java.lang.Object
implements CommentGenerator

Generates original "Jakarta"-style comments

Author:
  Mandar Raje [patch submitted by Yury Kamen]

Constructor Summary
`JakartaCommentGenerator()`

Method Summary
`void` | `generateEndComment(Generator generator, ServletWriter out, Mark start, Mark stop)` Generates "end-of the JSP-embedded code block" comment
`void` | `generateStartComment(Generator generator, ServletWriter out, Mark start, Mark stop)` Generates "start-of the JSP-embedded code block" comment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JakartaCommentGenerator

    public JakartaCommentGenerator()

Method Detail

### generateStartComment

    public void generateStartComment(Generator generator,
                                     ServletWriter out,
                                     Mark start,
                                     Mark stop)
                              throws JasperException

  Generates "start-of the JSP-embedded code block" comment

  Specified by:
    `generateStartComment` in interface `CommentGenerator`
  Parameters:
    `out` - The ServletWriter
    `start` - Start position of the block
    `stop` - End position of the block
  Throws:
    `JasperException`

### generateEndComment

    public void generateEndComment(Generator generator,
                                   ServletWriter out,
                                   Mark start,
                                   Mark stop)
                            throws JasperException

  Generates "end-of the JSP-embedded code block" comment

  Specified by:
    `generateEndComment` in interface `CommentGenerator`
  Parameters:
    `out` - The ServletWriter
    `start` - Start position of the block
    `stop` - End position of the block
  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.